{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="{% static 'css/main.css' %}"/>
        <title>Connect 2 Order</title>
        
    </head>
    <body>
        <nav>
            <div class="wrapper">
                <div class="logo">
                    <h2 style="color: #0a4ba8;">Connect 2 Sell</h2>
                </div>
                
                <div class="nav-links">
                    <li><a href="/connect">Products</a></li>
                    <li><a href="/">Home</a></li>
                </div>
            </div>
        </nav>

        <section class="specification">
        </section>
        
        <div class="adminbody">
            <section class="sect" id="upload">
                <h2>Upload Products</h2>
                <form id="uploadForm" action="" method="POST" enctype="multipart/form-data">
                    {% csrf_token %}
                    <input type="text" placeholder="Product Name" name="name" required>
                    <input type="number" placeholder="Price" name="price" required>
                    <input type="file" accept="image/*" name="image" required>
                    <button type="submit">Upload</button>
                </form>
            </section>
            <section class="sect" id="orders">
                <h2>Manage Orders</h2>
                <div class="container">
                    <table>
                        <thead>
                            <tr>
                                <th>Quantity</th>
                                <th>Item</th>
                                <th>Order Date</th>
                                <th>Total Amount</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        {% for orderItem in orderItems %}
                        <tbody>
                            <tr>
                                <td>{{orderItem.quantity}}</td>
                                <td>{{orderItem.product}}</td>
                                <td>{{orderItem.date_added}}</td>
                                <td>shs {{orderItem.get_total|floatformat:1}}</td>
                                <td><button class="button">Clear</button></td>
                            </tr>
                        </tbody>
                        {% endfor %}
                    </table>
                </div>
            </section>
        </div>
    </body>
</html>